jQuery(function($){

	$("#guardar").bind("click",function(event){
		//event.preventDefault();
		handleGuardar();
	});
	
	//$("#volver").bind("click",function(event){
	//	$('#divBusquedaEntidad_Dialog').rup_dialog("close");
	//});
	$("#busqAuxentidades_detail_link_cancel").bind("click",function(event){
		$('#divBusquedaEntidad_Dialog').rup_dialog("close");
	});
	
	
	
	$("#Entidad").rup_table({	
		url: $.rup.CTX_PATH + "entidades/dialog/"+$('#codtecnico_detail_table').val(),
		colNames: [
			"",
			"codTec",
			$.rup.i18n.app.campos_tabla_entidades["izena"],
			$.rup.i18n.app.campos_tabla_entidades["direccion"],
			$.rup.i18n.app.campos_tabla_entidades["email"],
			$.rup.i18n.app.campos_tabla_entidades["tfno"],
			"DatosCompletos"
		],
		colModel: [
			{ 	name: "codentidad",
				index: "CODENTIDAD",
				align: "center",
				width: 20,
				hidden: false,
				sortable: false,
				formatter: crearCheckbox
			},
			{ 	name: "tecnicosEntidad.codtecnico",
				index: "CODTECNICO",
				align: "left",
				width: 0,
				hidden: true,
				sortable: true
			},
			{ 	name: "desentidad",
				index: "DESENTIDAD",
				align: "left",
				width: 120,
				hidden: false,
				sortable: true
			},
			{ 	name: "direccioncompleta",
				index: "DIRECCION",
				align: "left",
				width: 250,
				hidden: false,
				sortable: true
			},
			{ 	name: "email",
				index: "EMAIL",
				align: "left",
				width: 120,
				hidden: false,
				sortable: true
			},
			{ 	name: "tfno",
				index: "TFNO",
				align: "left",
				width: 80,
				hidden: false,
				sortable: true
			},
			{ 	name: "datosCompletos",
				index: "datosCompletos",
				align: "left",
				width: 150,
				hidden: true,
				sortable: false
			}
        ],

        model:"Entidades",
        usePlugins:[
			//"formEdit",
        	"feedback",
			"toolbar",
			//"multiselection",
        	//"contextMenu",
        	//"responsive",
        	"filter"
         	],
		primaryKey: "codentidad",
		sortname: "CODENTIDAD",
		sortorder: "ASC",
		loadOnStartUp: true,
		width: 698,
		feedback:{
			config:{
				block: false
			}
		},
		core:{
	    	showOperations:{
	    		"clone": false
	    	}
    	},
        formEdit:{
        	detailForm: "#Entidad_detail_div"
        },
        //multiselection:{
        	
        //},
        toolbar:{
			showOperations:{
			},
			buttons:[
			]
    	},
    	onSelectRow:function(id){
    		var nombre="codentidades_"+id;
    		$("input[id='"+nombre+"'").attr('checked',true);
    	}
	});
	
	$('#busqAuxcodth_filter_table').rup_combo({
		source: $.rup.CTX_PATH + "provincia/getAllProvinciaNavIp?idAutonomia="+COD_EUSKADI,
		sourceParam: {label:"descOf", value:"idProvincia"},
		blank: "",
		rowStriping: true,
		width : 180,
		autocomplete :true
		});

	$('#busqAuxcodmun_filter_table').rup_combo({
		parent: [ "busqAuxcodth_filter_table" ],
		source : $.rup.CTX_PATH + "municipio/getAllMunicipio",
		sourceParam : {label: "descOf",value: "idMunicipio"},
		blank : ""
	});
	
	
	 $("#Entidad").on("jqGridAddEditAfterSubmit", function(event, $form, objeto){
		//alert("jqGridAddEditAfterSubmit 1");
		 if(objeto.oper==="edit"){
			 if($form.responseJSON.datosCompletos){
				 $(location).attr('href',CONTEXT_PATH+"/");
			 }
			 
		}
	});
	 
	 function crearCheckbox(cellval, el, rowData){
		 var idcheck = "codentidad" + rowData.codentidad;
		 var html = "";	

		 html += '<input type="checkbox" id="codentidades_' + rowData.codentidad + '" name="codentidades" value="'+rowData.codentidad+'" />';
			return html;
	 }
	 
	 function handleGuardar(){
		 
		 var codigosEntidad = [];
		 $('input:checkbox[id^=codentidades]:checked').each(function() {
			  codigosEntidad.push($(this).val());
		  });
		 
		 if(codigosEntidad.length>0){
			 
			 $.rup_messages("msgConfirm", {
					message: $.rup.i18n.app.campos_tabla_tecnicos_entidad.guardarEntidad,
					title: $.rup.i18n.app.campos_tabla_tecnicos_entidad.guardarEntidadTitulo,
					OKFunction : function () {
						$.rup_ajax({
							url : $.rup.CTX_PATH + "tecnicosentidad/guardarEntidades/"+$('#codtecnico_detail_table').val(),
							type : "POST",
							async : false,
							data : JSON.stringify(codigosEntidad),
							contentType : "application/json",
							success : function(respuesta) {
								
								$("#EntidadesTecnico").rup_table("reloadGrid",false);
								$('#divBusquedaEntidad_Dialog').rup_dialog("close");
								
							},
							error : function(respuesta) {
								throw respuesta.responseText;
							}
						});
					}
				});
			 
			 
		 }else{
			 $("#Entidad_feedback").rup_feedback("set", $.rup.i18n.app.campos_tabla_tecnicos_entidad.noEntidadSeleccionada, "error");
		 }
	 }
	 
	 $("#Entidad_pager_left").css("width","10px");
	 $("#jqgh_Entidad_codentidad").html('&nbsp;<input id="seleccionarTodasEntidades" type="checkbox"></input>');
	 $("#jqgh_Entidad_codentidad").removeClass();
	 $("#Entidad_codentidad").css("style","text-align: left");
	 
	 $("#Entidad_toolbar").css("display","none");
	 
	 $("#seleccionarTodasEntidades").on("click",function(event){
		 if($("#seleccionarTodasEntidades").prop('checked')){
			 $('input:checkbox[id^=codentidades]').prop('checked', true);
		 }else{
			 $('input:checkbox[id^=codentidades]').prop('checked', false);
		 }
		});

});